--- a/src/Makefile.in
+++ b/src/Makefile.in
@@ -89,11 +89,11 @@
 	$(CC) -o $@ $(LDFLAGS) gocr.o $(LIBOBJS) $(LIBS)
 	# if test -r $(PROGRAM); then cp $@ ../bin; fi
 
-libs: lib$(PGMASCLIB).a lib$(PGMASCLIB).@PACKAGE_VERSION@.so
+libs: lib$(PGMASCLIB).a lib$(PGMASCLIB).so.@PACKAGE_VERSION@
 
 #lib$(PGMASCLIB).@PACKAGE_VERSION@.so: $(LIBOBJS)
 #	$(CC) -fPIC -shared -Wl,-h$@ -o $@ $(LIBOBJS)
-lib$(PGMASCLIB).@PACKAGE_VERSION@.so: $(LIBOBJS:%.o=%.c) Makefile
+lib$(PGMASCLIB).so.@PACKAGE_VERSION@: $(LIBOBJS:%.o=%.c) Makefile
 	# .o must be build with -fPIC too (Aug2010 JS)
 	$(CC) $(CFLAGS) -fPIC -shared -Wl,-h$@ -o $@ $(LIBOBJS:%.o=%.c)
 	-rm -f lib$(PGMASCLIB).so  # set new link
@@ -115,7 +115,7 @@
 	$(INSTALL) ../bin/gocr.tcl   $(DESTDIR)$(bindir)  # better X11/bin?
 	if test -f lib$(PGMASCLIB).a; then\
 	 $(INSTALL) lib$(PGMASCLIB).a $(DESTDIR)$(libdir);\
-	 $(INSTALL) lib$(PGMASCLIB).@PACKAGE_VERSION@.so $(DESTDIR)$(libdir);\
+	 $(INSTALL) lib$(PGMASCLIB).so.@PACKAGE_VERSION@ $(DESTDIR)$(libdir);\
 	 $(INSTALL) lib$(PGMASCLIB).so $(DESTDIR)$(libdir);\
 	fi
 	# ToDo: not sure that the link will be installed correctly
@@ -126,7 +126,7 @@
 	-rm -f $(DESTDIR)$(bindir)/$(PROGRAM)
 	-rm -f $(DESTDIR)$(bindir)/gocr.tcl
 	-rm -f $(DESTDIR)$(libdir)/lib$(PGMASCLIB).a
-	-rm -f $(DESTDIR)$(libdir)/lib$(PGMASCLIB).@PACKAGE_VERSION@.so
+	-rm -f $(DESTDIR)$(libdir)/lib$(PGMASCLIB).so.@PACKAGE_VERSION@
 	-rm -f $(DESTDIR)$(libdir)/lib$(PGMASCLIB).so
 	# ToDo: set to old version.so ?
 	#for X in $(INCLUDEFILES); do rm -f $(DESTDIR)$(includedir)/$$X; done
